<template>
  <view>
    <view class="newsTab">
      <view class="content">
        <view>
          <!-- 基于 uni-list 的页面布局 -->
          <uni-list>
            <!-- to 属性携带参数跳转详情页面，当前只为参考 ?title=新标题 -->
            <!--            <uni-list-item style="margin-top: 10px;background-color:#EFEFF4;border-radius: 5px;"-->
            <!--                           v-for="item in data" :key="item.id" :to="'msgDetail?id='+item.id+'&title='+item.title"-->
            <!--                           :showBadge="item.dealWith == 0" :title="item.title" badge-text="1"-->
            <!--						   :note="item.createDate" badge-type="error">-->
            <!--            </uni-list-item>-->
            <uni-list-item style="margin-top: 10px;background-color:#EFEFF4;border-radius: 5px;"
                           v-for="item in data" :key="item.id"
                           :showBadge="item.dealWith == 0" :title="item.title" badge-text="1" :note="item.createDate"
                           badge-type="error" showExtraIcon=true clickable @click="to(item)">
              <template slot="header" v-if="item.isMessage == 0">
                <image src="../../static/img/imgMenu/error.png"></image>
              </template>
              <template slot="header" v-else-if="item.isMessage == 2">
                <image src="../../static/img/imgMenu/treated.png"></image>
              </template>
              <template slot="header" v-else>
                <image src="../../static/img/imgMenu/mail.png"></image>
              </template>
            </uni-list-item>
          </uni-list>
        </view>
      </view>
    </view>


  </view>
</template>

<script>
import msgDetail from "./msgDetail.vue";

export default {
  computed: {
    msgDetail() {
      return msgDetail
    }
  },
  components: {},
  data() {
    return {
      data: [],
      tipShow: false // 是否显示顶部提示框
    };
  },
  onLoad() {
    //页面加载时调用的事件
    this.init();
  },
  methods: {
    init() {
      //页面加载时调用的事件
      this.$post({
        url: "/MessageCenter/getPushFailed",
        data: {
          createBy: this.$loginInfo.account,
        },
      }).then(res => {
        this.data = res.data.tbBillList;
      })
    },
    to(item) {
      if (item.isMessage == 0) {
        uni.navigateTo({
          url: 'msgDetail?id=' + item.id + '&title=' + item.title
        });
      } else if (item.isMessage == 2) {
        uni.navigateTo({
          url: 'treated?id=' + item.id + '&title=' + item.title
        });
      } else {
        uni.navigateTo({
          url: 'information?id=' + item.id + '&title=' + item.title
        });
      }

    }
  },
  onShow() {
    //每次进入页面都会执行的方法
    this.init();

    uni.hideTabBarRedDot({
      index: 1
    });
  }
};
</script>

<style lang="scss">
.form-group {
  display: flex;
  align-items: center;
}

.italic-bold {
  font-style: italic;
  font-weight: bold;
}

uni-image {
  width: 50px;
  height: 50px;
  display: inline-block;
  overflow: hidden;
  position: relative;
}
</style>